Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043291
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-02-20 19:162020-04-06 11:52
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision3697b25e7ced
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043291: csv button enabled while editing filters with lazy fitlering enabled (2)

DescriptionThe fix for issue 0043030 is not complete, the csv export button is not being disabled in all the cases that it should.
Steps To Reproduce1. Configure lazy filtering on grid for currency window
2. Open Currency window
  -> OK: CSV button is disabled
3. Apply empty filters
  -> OK: CSV button is enabled
4. Start editing some filters
  -> INCORRECT: tick button to apply filters is enabled as there are changes, but CSV button is enabled
5. Click on any record of the grid,
  -> OK: CSV button is disabled (working fine because of the fix for 0043030)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0043030 closedalostale csv button enabled while editing filters with lazy fitlering enabled 

-  Notes
(0118211)
caristu (developer)
2020-02-28 15:29

MR: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/47/ [^]
(0118282)
hgbot (developer)
2020-03-03 09:54

Repository: erp/devel/pi
Changeset: 3697b25e7cedbe0602384452fadcddfbc3a6f83d
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri Feb 28 15:16:15 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3697b25e7cedbe0602384452fadcddfbc3a6f83d [^]

fixed BUG-43291: csv button enabled while editing filters with lazy filtering

  The fix for issue 0043030 was not complete. We should disable the CSV
button also when editing the grid filter manually.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
---
(0118623)
hgbot (developer)
2020-03-16 14:01

Repository: erp/devel/pi
Changeset: c82723718ce2b7aa3693823965911ed3599cb6da
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Mar 16 14:00:57 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/c82723718ce2b7aa3693823965911ed3599cb6da [^]

related to BUG-43291: add comment

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
---
(0118955)
hgbot (developer)
2020-04-06 11:52

Repository: erp/devel/pi
Changeset: bd97eb0fbfd174a6c258a76f1bb5aaad9feb3e02
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Mar 16 14:00:57 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/bd97eb0fbfd174a6c258a76f1bb5aaad9feb3e02 [^]

related to BUG-43291: add comment

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
---

- Issue History
Date Modified Username Field Change
2020-02-20 19:16 caristu New Issue
2020-02-20 19:16 caristu Assigned To => platform
2020-02-20 19:16 caristu Modules => Core
2020-02-20 19:16 caristu Triggers an Emergency Pack => No
2020-02-20 19:16 caristu Issue generated from 0043030
2020-02-20 19:16 caristu Relationship added related to 0043030
2020-02-28 15:29 caristu Note Added: 0118211
2020-02-28 15:29 caristu Assigned To platform => caristu
2020-03-03 08:46 alostale Review Assigned To => alostale
2020-03-03 09:54 hgbot Checkin
2020-03-03 09:54 hgbot Note Added: 0118282
2020-03-03 09:54 hgbot Status new => resolved
2020-03-03 09:54 hgbot Resolution open => fixed
2020-03-03 09:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3697b25e7cedbe0602384452fadcddfbc3a6f83d [^]
2020-03-06 09:21 alostale Status resolved => closed
2020-03-06 09:21 alostale Fixed in Version => 3.0PR20Q2
2020-03-16 14:01 hgbot Checkin
2020-03-16 14:01 hgbot Note Added: 0118623
2020-04-06 11:52 hgbot Checkin
2020-04-06 11:52 hgbot Note Added: 0118955


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker